<% back_to = url_for(:controller => 'issues', :action => 'index', :project_id => @project) %>
<ul>
	<li><%= context_menu_link l(:button_edit), {:controller => 'issues', :action => 'edit', :id => @issue},
	        :class => 'icon-edit', :disabled => !@can[:edit] %></li>
	<li class="folder">			
		<a href="#" class="submenu" onclick="return false;"><%= l(:field_status) %></a>
		<ul>
		<% @statuses.each do |s| %>
		    <li><%= context_menu_link s.name, {:controller => 'issues', :action => 'change_status', :id => @issue, :new_status_id => s},
		                              :selected => (s == @issue.status), :disabled => !(@can[:change_status] && @allowed_statuses.include?(s)) %></li>
		<% end %>
		</ul>
	</li>
	<li class="folder">			
		<a href="#" class="submenu"><%= l(:field_priority) %></a>
		<ul>
		<% @priorities.each do |p| %>
		    <li><%= context_menu_link p.name, {:controller => 'issues', :action => 'edit', :id => @issue, 'issue[priority_id]' => p, :back_to => back_to}, :method => :post,
		                              :selected => (p == @issue.priority), :disabled => !@can[:edit] %></li>
		<% end %>
		</ul>
	</li>
	<li class="folder">			
		<a href="#" class="submenu"><%= l(:field_assigned_to) %></a>
		<ul>
		<% @assignables.each do |u| %>
		    <li><%= context_menu_link u.name, {:controller => 'issues', :action => 'edit', :id => @issue, 'issue[assigned_to_id]' => u, :back_to => back_to}, :method => :post,
		                              :selected => (u == @issue.assigned_to), :disabled => !(@can[:edit] || @can[:change_status]) %></li>
		<% end %>
		    <li><%= context_menu_link l(:label_nobody), {:controller => 'issues', :action => 'edit', :id => @issue, 'issue[assigned_to_id]' => '', :back_to => back_to}, :method => :post,
		                              :selected => @issue.assigned_to.nil?, :disabled => !(@can[:edit] || @can[:change_status]) %></li>
		</ul>
	</li>
	<li><%= context_menu_link l(:button_copy), {:controller => 'projects', :action => 'add_issue', :id => @project, :copy_from => @issue},
	        :class => 'icon-copy', :disabled => !@can[:add] %></li>
	<li><%= context_menu_link l(:button_move), {:controller => 'projects', :action => 'move_issues', :id => @project, "issue_ids[]" => @issue.id },
	                          :class => 'icon-move', :disabled => !@can[:move]  %>
    <li><%= context_menu_link l(:button_delete), {:controller => 'issues', :action => 'destroy', :id => @issue},
                              :method => :post, :confirm => l(:text_are_you_sure), :class => 'icon-del', :disabled => !@can[:delete] %></li>		
</ul>
